Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.renderkit
Class LoadResourceRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.LoadResourceRendererBase

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.resource.ResourceProduser

    public class LoadResourceRendererBase

extends org.ajax4jsf.renderkit.RendererBase
implements org.ajax4jsf.renderkit.HeaderResourceProducer

Author:
  shura

Field Summary

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`LoadResourceRendererBase()`

Method Summary
`protected java.lang.Class` | `getComponentClass()`
`java.util.LinkedHashSet` | `getHeaderScripts(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.util.LinkedHashSet` | `getHeaderStyles(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadResourceRendererBase

    public LoadResourceRendererBase()

Method Detail

### getHeaderScripts

    public java.util.LinkedHashSet getHeaderScripts(javax.faces.context.FacesContext context,
                                                    javax.faces.component.UIComponent component)

  Specified by:
    `getHeaderScripts` in interface `org.ajax4jsf.renderkit.HeaderResourceProducer`

### getHeaderStyles

    public java.util.LinkedHashSet getHeaderStyles(javax.faces.context.FacesContext context,
                                                   javax.faces.component.UIComponent component)

  Specified by:
    `getHeaderStyles` in interface `org.ajax4jsf.renderkit.HeaderResourceProducer`

### getComponentClass

    protected java.lang.Class getComponentClass()

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.